##
##  whois.spec -- OpenPKG RPM Specification
##  Copyright (c) 2000-2003 Cable & Wireless Deutschland GmbH
##  Copyright (c) 2000-2003 The OpenPKG Project <http://www.openpkg.org/>
##  Copyright (c) 2000-2003 Ralf S. Engelschall <rse@engelschall.com>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         whois
Summary:      WHOIS Client
URL:          http://www.linux.it/~md/software/
Vendor:       Marco d'Itri
Packager:     The OpenPKG Project
Distribution: OpenPKG [BASE]
Group:        DNS
License:      GPL
Version:      4.6.1
Release:      20021212

#   list of sources
Source0:      http://www.linux.it/~md/software/whois_%{version}.tar.gz

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20020206, perl
PreReq:       OpenPKG, openpkg >= 20020206
AutoReq:      no
AutoReqProv:  no

%description
    A client for querying the WHOIS databases of over 60 top-level domains.

%prep
    %setup -q -n whois-%{version}

%build
    %{l_shtool} subst -e "s;perl;%{l_prefix}/bin/perl;" Makefile

    ldflags=""
    case "%{l_target}" in
        *-solaris* ) ldflags="-lnsl -lsocket" ;;
        *-freebsd* ) %{l_shtool} subst -e "s;# define HAVE_GETOPT_LONG;/* # define HAVE_GETOPT_LONG */;" \
                                       -e "s;# define ENABLE_NLS;/* # define ENABLE_NLS */;" \
                                       -e "s;# define LOCALEDIR "/usr/local/share/locale";/* # define LOCALEDIR "/usr/local/share/locale"*/;" config.h
    esac

    %{l_make} %{l_mflags} \
        CC="%{l_cc}" \
        CFLAGS="%{l_cflags -O}" \
        LDFLAGS="$ldflags"

%install
    rm -rf $RPM_BUILD_ROOT
    %{l_shtool} mkdir -f -p -m 755 $RPM_BUILD_ROOT%{l_prefix}/bin
    %{l_shtool} mkdir -f -p -m 755 $RPM_BUILD_ROOT%{l_prefix}/man/man1
    %{l_shtool} install -s -c -m 755 whois $RPM_BUILD_ROOT%{l_prefix}/bin/
    %{l_shtool} install -c -m 644 whois.1 $RPM_BUILD_ROOT%{l_prefix}/man/man1/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

